package com.xk72.charles.config;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.xk72.charles.config.ExternalProxyConfiguration;
import com.xk72.util.oVPf;
import com.xk72.util.ojsH;
import java.net.InetAddress;
import java.util.logging.Level;

@XStreamAlias("mutableExternalProxyConfiguration")
@ojsH
@oVPf
public class ExternalProxyConfiguration$MutableExternalProxyConfigurationImpl implements com.xk72.proxy.jSAY, Cloneable {

   private boolean active;
   private boolean requiresAuthentication;
   private String host;
   private int port;
   private String domain;
   private String username;
   private String password;
   private transient String decryptedPassword;
   private String encryptedPassword;


   public com.xk72.proxy.jSAY getMutable() {
      try {
         return (com.xk72.proxy.jSAY)super.clone();
      } catch (CloneNotSupportedException var1) {
         return null;
      }
   }

   public boolean isActive() {
      return this.active;
   }

   public void setActive(boolean var1) {
      this.active = var1;
   }

   public String getHost() {
      return this.host;
   }

   public InetAddress getInetAddress() {
      return com.xk72.proxy.wmIx.dqaG.FwRs(this.host);
   }

   public void setHost(String var1) {
      this.host = var1;
   }

   public String getPassword() {
      if(this.password != null) {
         this.setPassword(this.password);
      }

      if(this.encryptedPassword == null) {
         return null;
      } else {
         if(this.decryptedPassword == null) {
            try {
               this.decryptedPassword = com.xk72.util.GTsG.GSXJ(this.encryptedPassword);
            } catch (RuntimeException var2) {
               ExternalProxyConfiguration.access$000().log(Level.WARNING, "解密保存的代理密码时出错", var2);
               this.decryptedPassword = null;
               this.encryptedPassword = null;
            }
         }

         return this.decryptedPassword;
      }
   }

   public void setPassword(String var1) {
      this.encryptedPassword = com.xk72.util.GTsG.FwRs(var1);
      this.decryptedPassword = var1;
      this.password = null;
   }

   public int getPort() {
      return this.port;
   }

   public void setPort(int var1) {
      this.port = var1;
   }

   public boolean isRequiresAuthentication() {
      return this.requiresAuthentication;
   }

   public void setRequiresAuthentication(boolean var1) {
      this.requiresAuthentication = var1;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String var1) {
      this.username = var1;
   }

   public String getDomain() {
      return this.domain;
   }

   public void setDomain(String var1) {
      this.domain = var1;
   }

   public int hashCode() {
      int var1 = 31 + (this.active?1231:1237);
      var1 = var1 * 31 + (this.domain == null?0:this.domain.hashCode());
      var1 = var1 * 31 + (this.host == null?0:this.host.hashCode());
      var1 = var1 * 31 + (this.password == null?0:this.password.hashCode());
      var1 = var1 * 31 + this.port;
      var1 = var1 * 31 + (this.requiresAuthentication?1231:1237);
      return var1 * 31 + (this.username == null?0:this.username.hashCode());
   }

   public boolean equals(Object var1) {
      if(this == var1) {
         return true;
      } else if(var1 == null) {
         return false;
      } else if(this.getClass() != var1.getClass()) {
         return false;
      } else {
         ExternalProxyConfiguration$MutableExternalProxyConfigurationImpl var2 = (ExternalProxyConfiguration$MutableExternalProxyConfigurationImpl)var1;
         if(this.active != var2.active) {
            return false;
         } else {
            if(this.domain == null) {
               if(var2.domain != null) {
                  return false;
               }
            } else if(!this.domain.equals(var2.domain)) {
               return false;
            }

            if(this.host == null) {
               if(var2.host != null) {
                  return false;
               }
            } else if(!this.host.equals(var2.host)) {
               return false;
            }

            if(this.password == null) {
               if(var2.password != null) {
                  return false;
               }
            } else if(!this.password.equals(var2.password)) {
               return false;
            }

            if(this.port != var2.port) {
               return false;
            } else if(this.requiresAuthentication != var2.requiresAuthentication) {
               return false;
            } else {
               if(this.username == null) {
                  if(var2.username != null) {
                     return false;
                  }
               } else if(!this.username.equals(var2.username)) {
                  return false;
               }

               return true;
            }
         }
      }
   }
}
